img {
    max-width: 100%;
}

img.half_center {
    display: block;
    margin-left:auto;
    margin-right:auto;
    width: 512px;
    height: 384px;
    
}


@media screen and (min-width: 50em) {
    /* styles */
}
body {
background-color: grey;
}
@media screen and (min-width: 320px) {
body {
background-color: green;
}
}
@media screen and (min-width: 550px) {
body {
background-color: yellow;
}
}
@media screen and (min-width: 768px) {
body {
background-color: orange;
}
}
@media screen and (min-width: 960px) {
body {
background-color: #ffffe6;
}
}

